petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBagSetName

Sets the name of a bag of values

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagSetName(PetscBag bag, const char *name, const char *help)

Not Collective Many br

Many br

### Input Parameters

| bag | - the bag of values Many br
| name | - the name assigned to the bag Many br
| help | - help message for bag Many br

### See Also

PetscBag, PetscBagGetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() Many brPetscBagSetFromOptions(), PetscBagCreate(), PetscBagDestroy(), PetscBagRegisterEnum() Many br

Level:Intermediate
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/dm/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex7.c.html